#### D.13.6.11 tropicalise

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  tropicalise(f[,#]); f polynomial, # optional list

Assume:
  f is a polynomial in Q(t)[x_1,...,x_n]

Return:
  list, the linear forms of the tropicalisation of f

Note:
  if # is empty, then the valuation of t will be 1,
  if # is the string 'max' it will be -1;
  the latter supposes that we consider the maximum of the computed linear forms, the former that we consider their minimum

Example:

    LIB "tropical.lib";
    ring r=(0,t),(x,y),dp;
    tropicalise(2t3x2-1/t*xy+2t3y2+(3t3-t)*x+ty+(t6+1));

User manual for Singular version 4.4.1, 2025, generated by texi2html.